Bug 132571 - Files > 2 GB are not entered into slocate data base
Files > 2 GB are not entered into slocate data base
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: slocate (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Brock Organ
:
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2004-09-14 15:22 EDT by Scott Levine
Modified: 2008-08-05 04:42 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-345
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:37:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Levine 2004-09-14 15:22:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2)
Gecko/20040804 Netscape/7.2 (ax)

Description of problem:
'slocate -u' does not add files greater than 2GB in size to
slocate.db.   slocate uses fts.  When adding files, a check is made to
see if stat() info was obtained (if (file->fts_info != FTS_DP &&
file->fts_info != FTS_NS) { ).  If it is not, the file is not added. 
Files greater that 2 GB cause the stat to fail with error 75 -
EOVERFLOW --/* Value too large for defined data type */

Version-Release number of selected component (if applicable):
slocate 2.7-3

How reproducible:
Always

Steps to Reproduce:
1.  create a file greater than 2GB
2.  run slocate -u -c   [ -c is optional ] 
3.  try to slocate the file created in step 1.
    

Actual Results:  file is not listed

Expected Results:  path of file on stdout

Additional info:
Comment 4 Red Hat Bugzilla 2005-09-28 10:37:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-345.html

Note You need to log in before you can comment on or make changes to this bug.